<script>
import {defineComponent} from 'vue'

export default defineComponent({
  name: "Snippet",
  props: {
    text: String,
    icon: String,
    bg_class: String,
    selected_color: String
  }
})
</script>

<template>
  <v-btn
    rounded="lg"
    :ripple="false"
    class="py-2 px-4 text-none w-100 h-100"
    :class="bg_class"
    :text="text"
    :color="selected_color"
  >
    <template #prepend>
      <v-icon
        class="mr-1"
        :icon="icon"
      />
    </template>
  </v-btn>
</template>

